
CREATE DATABASE IF NOT EXISTS haro;
USE haro;

DROP TABLE IF EXISTS warengruppen;
CREATE TABLE warengruppen
(  WgNr varchar(1) NOT NULL,
   Warengruppe varchar(50) DEFAULT NULL,

   PRIMARY KEY (WgNr)
)
ENGINE = INNODB
CHARACTER SET utf8 COLLATE utf8_general_ci;


DROP TABLE IF EXISTS artikel;
CREATE TABLE artikel
(  ArtikelNr varchar(5) NOT NULL,
   Bezeichnung varchar(35) DEFAULT NULL,
   WgNr varchar(1) DEFAULT NULL,
   TeileArt varchar(1) DEFAULT NULL,
   EkPreis decimal(19,4) DEFAULT NULL,
   VkPreis decimal(19,4) DEFAULT NULL,
   Bestand smallint(5) DEFAULT NULL,
   MeldeBest smallint(5) DEFAULT NULL,
   Aktiv tinyint(1) unsigned DEFAULT NULL,

   PRIMARY KEY (ArtikelNr),

   CONSTRAINT FK_Warengruppen
     FOREIGN KEY (WgNr)
     REFERENCES warengruppen (WgNr)
     ON DELETE RESTRICT
     ON UPDATE RESTRICT
)
ENGINE = INNODB
CHARACTER SET utf8 COLLATE utf8_general_ci;


DROP TABLE IF EXISTS kunden;
CREATE TABLE kunden
(  KdNr varchar(5) NOT NULL,
   Name varchar(50) DEFAULT NULL,
   Strasse varchar(50) DEFAULT NULL,
   PLZ varchar(5) DEFAULT NULL,
   Ort varchar(50) DEFAULT NULL,
   Passwort varchar(5) DEFAULT NULL,

   PRIMARY KEY (KdNr)
)
ENGINE = INNODB
CHARACTER SET utf8 COLLATE utf8_general_ci;


DROP TABLE IF EXISTS auftragskoepfe;
CREATE TABLE auftragskoepfe
(  AufNr varchar(5) NOT NULL DEFAULT '0',
   AufDat datetime DEFAULT NULL,
   KdNr varchar(5) DEFAULT NULL,
   AufTermin datetime DEFAULT NULL,
   Gebucht tinyint(1) NOT NULL,

   PRIMARY KEY (AufNr),

   CONSTRAINT FK_Kunden
     FOREIGN KEY (KdNr)
     REFERENCES kunden (KdNr)
     ON DELETE RESTRICT
     ON UPDATE RESTRICT
)
ENGINE = INNODB
CHARACTER SET utf8 COLLATE utf8_general_ci;


DROP TABLE IF EXISTS auftragspositionen;
CREATE TABLE auftragspositionen
(  AufPosNr varchar(5) NOT NULL,
   AufNr varchar(5) NOT NULL,
   ArtikelNr varchar(5) DEFAULT NULL,
   AufMenge double(15,5) DEFAULT NULL,

   PRIMARY KEY (AufPosNr),

   CONSTRAINT FK_Auftragskoepfe_1
     FOREIGN KEY (AufNr)
     REFERENCES auftragskoepfe (AufNr)
     ON DELETE RESTRICT
     ON UPDATE RESTRICT,

   CONSTRAINT FK_Artikel_1
     FOREIGN KEY (ArtikelNr)
     REFERENCES artikel (ArtikelNr)
     ON DELETE RESTRICT
     ON UPDATE RESTRICT
)
ENGINE = INNODB
CHARACTER SET utf8 COLLATE utf8_general_ci;

